Bug 466274 - Main Menu panel applet blocks screensaver from coming up
Main Menu panel applet blocks screensaver from coming up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 10:56 EDT by Máirín Duffy
Modified: 2009-07-14 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2008-10-09 10:56:09 EDT
Description of problem:

The main menu panel applet appears to take a keyboard grab and not ever give it up (Ricky Astley style), so it prevents the screensaver from ever coming up to lock the screen. This is a bit of a security issue, isn't it?

The keyboard grab should time out after a while I think. 1 minute seems reasonable, even better if the timeout is equal to the screensaver timeout setting.

For a somewhat related bug see bug 466269 which is related to policykit's password dialog rick-astley-ing the keyboard.

gnome-panel-libs-2.22.1.2-6.fc9.i386
gnome-panel-2.22.1.2-6.fc9.i386
gnome-applets-2.22.1-2.fc9.i386

Apologies if this belongs in gnome-applets, I wasn't sure which would be more appropriate.
Comment 1 Bug Zapper 2009-06-09 22:55:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 James Ettle 2009-07-10 16:40:51 EDT
This is still there in gnome-screensaver-2.26.1-3.fc11.x86_64, xorg-x11-server-Xorg-1.6.1.901-2.fc11.x86_64. Leaving any menu open (drop-down from an application, the GNOME panel menu, a favourites folder in Firefox) inhibits the screensaver from activating. The screensaver then starts immediately after the menu is closed, providing the timeout has been met, despite mouse and keyboard input!

Máirín, can you update this to F11? Also, should this not be assigned either to gnome-screensaver or the X server? (Is it another one of those fundamental flaws in the architecture of X, cf. Bug 496721?)
Comment 3 Bug Zapper 2009-07-14 10:37:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.